package demo;

import java.security.Principal;

import javax.annotation.Resource;
import javax.ejb.EJBContext;
import javax.ejb.Stateless;

import org.jboss.ejb3.annotation.SecurityDomain;

import demo.SessionBeanInterface;;

@Stateless
@SecurityDomain(value="myDomain")
public class SessionBean implements SessionBeanInterface {

	@Resource
	private EJBContext context;
	
	@Override
	public Principal getPrincipal() {
		return context.getCallerPrincipal();
	}

}
